/***************************************************************************
                       file_actions.h  -  description
                             -------------------
   Functions for handling the files.
                             -------------------
    begin                : Mon Mar 7 2005
    copyright            : (C) 2005 by Dennis Lew
    email                : dennis_L76@yahoo.ca
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/
#ifndef _FILE_ACTIONS_H_
#define _FILE_ACTIONS_H_

#include "common/typedefs.h"
#include "common/File.h"
#include "cmdline_args.h"


#ifdef __cplusplus
extern "C" {
#endif

void start_ES(FILE_PTR fp, u8 stream_type);
void start_TS(APP_PARAMS *params);
void start_PS(APP_PARAMS *params);

void display_time(double sec);

#ifdef __cplusplus
};
#endif

#endif

